### org.jfree.layouting.input.style.selectors.conditions

# Class OneOfAttributeCSSCondition

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.conditions.AttributeCSSCondition`
  - - `org.jfree.layouting.input.style.selectors.conditions.OneOfAttributeCSSCondition`

Implemented Interfaces:
  AttributeCondition, Condition, CSSCondition, Serializable

`public class OneOfAttributeCSSCondition`
`extends AttributeCSSCondition`

Creation-Date: 24.11.2005, 20:13:53

Author:
  Thomas Morgner

  ## Constructor Summary

  `OneOfAttributeCSSCondition(String name, String namespace, boolean specified, String value)`

  ## Method Summary

  `short`

  `getConditionType()`
    An integer indicating the type of `Condition`.

  `boolean`

  `isMatch(Object resolveState)`

  ### Methods inherited from class org.jfree.layouting.input.style.selectors.conditions.AttributeCSSCondition

  `getConditionType`, `getLocalName`, `getNamespaceURI`, `getSpecified`, `getValue`, `isMatch`, `isSpecified`

## Constructor Details

### OneOfAttributeCSSCondition

    public OneOfAttributeCSSCondition(String name,
                                      String namespace,
                                      boolean specified,
                                      String value)

## Method Details

### getConditionType

    public short getConditionType()

> An integer indicating the type of `Condition`.
> Overrides:
>   getConditionType in interface AttributeCSSCondition

### isMatch

    public boolean isMatch(Object resolveState)

> Specified by:
>   isMatch in interface CSSCondition
> Overrides:
>   isMatch in interface AttributeCSSCondition